package com.nifty.cloud.ncs.services.validator;

/**
 * 妥当性チェックのエラーメッセージです。
 *
 */
public class ValidationMessage
{
	private String message;
	private Object value;

	/**
	 * 妥当性チェックエラーメッセージ
	 * @param message
	 *  メッセージ
	 * @param value
	 *  値
	 */
	public ValidationMessage(String message, Object value)
	{
		this.message = message;
		this.value = value;
	}

	/**
	 * メッセージの取得
	 * @return メッセージ
	 */
	public String getMessage()
	{
		return (this.message);
	}

	/**
	 * 値の取得
	 * @return 値
	 */
	public Object getValue()
	{
		return (this.value);
	}
}
